com.fasterxml.jackson.annotation

## Annotation Type JsonPropertyDescription

-     @Target(value={ANNOTATION_TYPE,FIELD,METHOD,PARAMETER})
      @Retention(value=RUNTIME)
      @Documented
      public @interface JsonPropertyDescription

  Annotation used to define a human readable description for a logical property. Currently used to populate the description field in generated JSON Schemas.
  Since:
    2.3

- - ### Optional Element Summary

    Optional Elements
    Modifier and Type | Optional Element and Description
    --- | ---
    `java.lang.String` | `value` Defines a human readable description of the logical property.

- - ### Element Detail

    - #### value

          public abstract java.lang.String value

      Defines a human readable description of the logical property. Currently used to populate the description field in generated JSON Schemas.
      Default:
        ""